Bug 1024284 - Cannot throttle gear bandwidth via oo-admin-ctl-tc
Cannot throttle gear bandwidth via oo-admin-ctl-tc
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 06:22 EDT by Yan Du
Modified: 2015-05-14 19:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:27:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-10-29 06:22:02 EDT
Description of problem:
Create an app and make the user as throttled user, then ssh into app and download a big file to check the bandwitch. Found cannot throttle gear bandwidth via oo-admin-ctl-tc.



Version-Release number of selected component (if applicable):
devenv_3959



How reproducible:
Always



Steps to Reproduce:

1. Create app and get the gear uuid
2. Login to instance to make the user as throttled user
   #oo-admin-ctl-tc throttleuser <gear uuid>
3. ssh into app
   wget http://download.thinkbroadband.com/1GB.zip



Actual results:
Bandwidth is 18-19Mbits/s


Expected results:
Bandwidth should be limited to 0.2-0.5Mbits/s


Additional info:
Comment 1 Michal Fojtik 2013-10-29 10:22:58 EDT
The pull request is here:

https://github.com/openshift/origin-server/pull/4027
Comment 2 openshift-github-bot 2013-10-29 16:48:28 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/58d434b59d4028246e3bcd082c3d29d03c598cdb
Bug 1024284 - Do not check if tc rules exists directly in startuser_imp
Comment 3 Yan Du 2013-10-29 22:31:47 EDT
test on devenv_3966

Bandwidth is limited to 0.2-0.5Mbits/s.

move bug to verified

Note You need to log in before you can comment on or make changes to this bug.